package com.bocloud.nms.model.hillstone;

import java.util.Objects;

// 监控对象监控的接口
public class MonitorBookInterfaceModel extends HillStoneGenericModel {
    private Long monitorBookId; // 所属监控对象id
    private Long intfId; // 接口Id
    private String intfName; // 接口名称
    private Integer weight; // 权重

    public Long getMonitorBookId() {
        return monitorBookId;
    }

    public void setMonitorBookId(Long monitorBookId) {
        this.monitorBookId = monitorBookId;
    }

    public Long getIntfId() {
        return intfId;
    }

    public void setIntfId(Long intfId) {
        this.intfId = intfId;
    }

    public String getIntfName() {
        return intfName;
    }

    public void setIntfName(String intfName) {
        this.intfName = intfName;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        MonitorBookInterfaceModel that = (MonitorBookInterfaceModel) o;
        return Objects.equals(monitorBookId, that.monitorBookId) &&
            Objects.equals(intfId, that.intfId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(monitorBookId, intfId);
    }
}
